
 LinHES - Bug # 346: Fire wire capture not working

Status: Closed Priority: Normal
Author: iscraigh Category:
Created: 05/04/2009 Assignee: cecil
Updated: 12/25/2011 Due date: 12/31/1969
Description: Not having any luck with firewire capture on a motorola box. This worked in r5.5.

Plugreport

Host Adapter 0
==============

Node 0 GUID 0x001cfbfffeba9f6e
------------------------------
oMPR n_plugs=1, data_rate=2, bcast_channel=63
oPCR[0] online=1, bcast_connection=0, n_p2p_connections=1
        channel=63, data_rate=1, overhead_id=0, payload=376
iMPR n_plugs=0, data_rate=2

Node 1 GUID 0x000000000002d572
------------------------------
libiec61883 error: error reading oMPR
libiec61883 error: error reading iMPR

Channel changing works fine but I never get a lock.

Most of the firewire priming testing tools seem to be absent from this version.

If I can give anymore info or test anything please let me know.

Craig

History
05/06/2009 10:36 am - cecil
What are the needed tools?  Additional, are you using mythtv or mythtv-vdpau?

05/06/2009 06:41 pm - iscraigh
I may have it working running for 2 days I will reboot and verify it sticks through a boot then let you know what I had to do. I am using straight mythtv. 
 Horrible audio sync issue on non hidef channels.

05/09/2009 12:27 am - iscraigh
Cecil

here is what I did to get it working (all steps may not be necessary.

Found some info on a google search and tried stuff.
<code>pacman -S eth1394
 pacman -S libraw1394
pacman -S librom1394
pacman -S libavc1394
</code>
Some of this was unavailable some was already installed, still not working.
 <code> plugctl -n 0 "oPCR[0].n_p2p_connections=1"</code> 
Ran this manually and it started working added it to .fluxbox/apps before the mythfronted launch and it held through reboot. The interesting thing was 
that this should set it up for a P2P connection but in Myth I had configured it for broadcast yet it worked. I have since switched it for P2P and it works. I 
had capture stop working once but this also happened on my 5.5 install, I set up a cron job to reboot the backend everyday @ 5:00 so I would not miss 
recordings. The audio sync is still bad on everything but hi-def so I removed standard def channels and only use this tuner for hi-def.

I think if someone is using firewire capture, we (well ok you, because googling and copying/pasting are the limits of my ability) would need to have the 
above line added to a startup script. 

Craig

05/10/2009 08:24 pm - cecil
There is no librom1394 package.  librom1394 is part of libavc1394.  I'll ensure the needed packages are installed by defaults.  In terms of the plugctl 
command, I'll ponder the best way to handle this...

05/10/2009 08:53 pm - iscraigh
On the upside it does seem more stable than in the 5.5 version.

06/11/2009 09:59 pm - cecil
We tried adding the plugctl command to the run script for the backend but that resulted in the backend not starting...  So, I've added the comment to 
'apps' and commented it.

06/11/2009 10:37 pm - cecil
@iscraigh can you please comment the startup in 'apps' for plugctl and 'sudo pacman -Sy runit-scripts'.  Then, 'sudo sv restart mythbackend' can you 
still use the box via firewire?

06/12/2009 08:18 pm - iscraigh
So I ran the commands you suggested and now the backend appears not to be running, I use the restart command I reboot but neither the local or 
remote frontend can connect. 

06/12/2009 08:31 pm - iscraigh
Any suggestions as to how to undo this? or command output you would like?

Thanks

Craig

06/13/2009 12:42 am - iscraigh
Any suggestions as to how to undo this? or command output you would like?

Thanks

Craig

06/13/2009 12:56 pm - cecil
Sorry Craig,

Work had be busy yesterday.  I've reverted the change so, pacman -Sy runit-scripts.

06/13/2009 01:46 pm - iscraigh
No problem I googled and found out how to use pacman to install the older version. All is good now that I can reverse the changes I am ready to test 
away.
Craig

09/06/2009 01:30 am - cecil
Going to close this...  The last update to this was going to try and make it just work via runit.  While it does seem to work properly for those that don't 
have firewire, it doesn't for those that do.  Users w/ firewire will just have to uncomment entry in /home/mythtv/.fluxbox/apps.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
